/*------------------------------------------------------------
 * Styles for posts and pages
 *------------------------------------------------------------*/



/* Post Category
 *------------------------------------------------------------*/

.post__category {
	line-height: 0;

	.items {
		list-style: none;
		margin: 0;
		padding: 0;
		text-align: center;

		.item {
			display: inline-block;
			padding: 0;
		}

		a {
			display: block;
			background: @primary-color;
			color: @white;
			padding: 0.3em 1em;
			.ellipsis;

			@media @mobile {
				.label;
			}

			&:hover {
				background: @black !important;
			}
		}
	}

	.post__meta--single & {
		.items {
			text-align: left;
			overflow: hidden;
		}
	}
}



/* Post Content
 *------------------------------------------------------------*/

.post__content:not(.empty) {
	position: relative;
	margin-bottom: 1.7em;

	@media @tablet-h, @desktop {
		margin-bottom: 4.5em;
	}

	@media @mobile, @tablet {
		.alignnone {
			margin-bottom: 1.7em;
		}
	}
}

.editor-content {
	.clearfix;

	p {
		// if overflow:hidden - content doesn't wrap around LR-alignes
		// if not - flowed content (dropcap) flow below sideblock not indepentently
		// TODO: Figure out, but overflow must not be used!
		// overflow: hidden;

		a {
			&:not(.button) {
				.link-color( @primary-color, @black );
			}
		}
	}

	.hygge-sideblock a:not(.button) {
		.link-color( @black, @primary-color );
	}

	// this is partially better
	// overflows only what must be done, still faulty
	.hygge-sideblock,
	.hygge-sideblock-placeholder {
		& + p {
			overflow: hidden;
		}
	}
}




/* Post Share
*------------------------------------------------------------*/

.post__share {
	.item {
		span { display: none; }
	}

	&--sticky {
		position: absolute;
		right: 0;
		z-index: 9;
		background: @white;
		padding: 30px 0;
		margin-top: -30px;
		overflow: hidden;

		.post__share {
			width: 20px;
			line-height: 20px;
			white-space: nowrap;
			-webkit-writing-mode: vertical-lr;
			writing-mode: vertical-lr;

			@media @tablet, @desktop {
				width: 50px;
				line-height: 50px;
			}
		}

		.social-nav {
			line-height: inherit;
		}

		.item {
			margin-left: 0em !important;
			line-height: 1;
			.hygge-list--bullet( @black );

			&:after {
				margin: auto;
				margin-bottom: 0.4em;
			}

			i { display: none; }
			span { display: inline; margin-right: 0;}
		}

		@media @tablet-h, @desktop {
			.hygge-sidebar--true &.is_stuck {
					right: @sidebar_width;

					&.is_bottom {
						right: 0;
					}
			}
		}
	}
}



/* Post Meta
 *------------------------------------------------------------*/

.post__meta--single {
	display: block;
	margin-bottom: 0;
	padding-bottom: 30px;

	.post__meta__item + .post__meta__item {
		margin-top: 20px;
	}

	.author-img {
		margin-left: -60px;
		float: left;
		width: 40px;
		height: 40px;
		.circled;
		margin-right: 20px;
		padding-top: 3%;
	}

	.social-nav {
		text-align: left;
	}

	.post__meta__data {
		color: @black;
	}

	.author-text {
		overflow: hidden;
	}

	small {
		display: block;
		line-height: 2em;
		max-width: @sideblock_width;

		p:last-child {
			margin-bottom: 0;
		}
	}

	@media @tablet {
		.post__meta__item {
			float: left;
			clear: left;
			padding-left: 0;

			&:last-child:not(:first-child) {
				float: none;
				clear: none;
				overflow: hidden;
				padding-left: 120px;
				margin-top: 0;
			}
		}
	}

	@media @desktop {
		&.author--true {
			padding-left: 60px;
		}
	}
}





/* Post Tags
 *------------------------------------------------------------*/

.post__tags {
	margin-top: 4.5em;
	margin-bottom: 1.7em;
}



/* Related Posts
*------------------------------------------------------------*/
.post__related {
	.clearfix;
	margin-top: 2.8em;
	background: @grey-pale;
	padding: 2.8em 0;

	@media @tablet-h, @desktop {
		margin-top: 4.5em;
		padding: 4.5em 0;
	}

	.title {
		text-align: center;
	}
}



/* Post Navigation
*------------------------------------------------------------*/
.post__navigation {
	.clearfix;
	margin-top: 2.8em;
	margin-bottom: 2.8em;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin-left: -1px;
	margin-right: -1px;

	@media @tablet-h, @desktop {
		margin-top: 4.5em;
		margin-bottom: 4.5em;
	}

	.post__related + & {
		margin-top: 0;
	}

	.post__navigation__item {
		position: relative;
		display: block;
		overflow: hidden;
		flex: 0 0 100%;
		min-height: 300px;
		text-align: center;
		background-size: cover;

		@media @tablet, @desktop {
			// iPad/safari doesn't fit in a row
			flex-basis: ~"calc( 50% - 1px )";
		}

		&.image--false:not(.disabled){
			background: @black;
		}

		.post__navigation__img {
			visibility: hidden;
		}

		.post__navigation__text {
			text-align: center;
			position: absolute;
			width: 80%;
			top: 50%;
			left: 50%;
			.translate( -50%, -50% );

			.post__title {
				margin-top: 0.5em;
				.transition;

				@media @mobile, @tablet {
					.h5;
				}
			}
		}

		&:not(.disabled):hover {
			.post__navigation__text {
				.post__title {
					margin-top: 1.5em;
				}
			}
		}

	}
}



/* Post Comments
 *------------------------------------------------------------*/

.post__comments {
	margin-top: 2.8em;
	margin-bottom: 2.8em;

	@media @tablet-h, @desktop {
		margin-top: 4.5em;
		margin-bottom: 4.5em;
	}
}



/*------------------------------------------------------------
 * Single Post/Page
 *------------------------------------------------------------*/

.article-single {
}



/*------------------------------------------------------------
 * Single Post
 *------------------------------------------------------------*/

.article-single--post {
}



/*------------------------------------------------------------
 * Single Page
 *------------------------------------------------------------*/

.article-single--page {
}



/*------------------------------------------------------------
 * 404 Page
 *------------------------------------------------------------*/

.article-single--404 {
}
